header {
  &.main-header {
    background-color: #F5F4FF;
    position: fixed;
    width: 100%;
    z-index: 3;
    padding: 20px 0;

    .maim-header-inner {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    .main-menu {
      @media screen and (max-width: 1000px) {
        display: none;
      }

      ul {
        margin: 0;
        padding: 0;

        li {
          display: inline-block;

          a {
            padding: 10px 15px;
            display: inline-block;
            font-weight: 600;
            color: $base_color;
            font-size: 1rem;

            &:hover {
              color: $nav_hover_color;
            }

          }
        }
      }
    }

    .account-menu {
      @media screen and (max-width: 1000px) {
        display: none;
      }

      ul {
        margin: 0;
        padding: 0;

        li {
          display: inline-block;

          a {
            padding: 10px 15px;
            display: inline-block;
            font-weight: 600;
            color: $base_color;
            font-size: 1rem;

            &:hover {
              color: $nav_hover_color;
            }

          }
        }
      }
    }

    .mobile-menu-trigger {
      display: none;
      width: 40px;
      height: 40px;
      //background-color: #ffc780;
      cursor: pointer;
      position: relative;
      @media screen and (max-width: 1000px) {
        display: inline-block;
      }

      & > span {
        display: block;
        width: 40px;
        height: 4px;
        background: $nav_color;
        transform: translateY(18px);
        border-radius: 3px;

        &:before, &:after {
          display: block;
          content: "";
          width: 40px;
          height: 4px;
          background: $nav_color;
          position: absolute;
          border-radius: 3px;
          transition: 0.2s;
        }

        &:before {
          top: -12px;
        }

        &:after {
          top: 12px;
        }
      }

      &:hover {
        span {
          &:before, &:after {
            // transform: scale(0.6, 1);
          }
        }
      }
    }
  }
}

.mobile-menu-wrapper {
  display: none;
  position: fixed;
  background-color: #F5F4FF;
  width: 0;
  height: 0;
  align-items: center;
  justify-content: center;
  z-index: 3;
  overflow: hidden;
  transition: 0.5s;
  right: 0;

  ul {
    margin: 0;
    padding: 0;
    display: block;

    li {
      display: block;

      a {
        padding: 10px 15px;
        font-weight: 600;
        color: $base_color;
        font-size: 1.2rem;
        text-align: center;
        display: block;

        &:hover {
          color: $nav_hover_color;
        }
      }
    }
  }

  @media screen and (max-width: 1000px) {
    display: flex;
  }
}

body.mobile-menu-activated {
  @media screen and (max-width: 1000px) {
    .main-header {
      border-bottom: 1px solid #cccccc;
    }
  }

  .mobile-menu-trigger {

    & > span {
      background-color: transparent !important;

      &:before, &:after {
        // transform: scale(0.6, 1);
      }

      &:before {
        top: 0 !important;
        transform: rotate(45deg) scale(0.6, 1);
      }

      &:after {
        top: 0 !important;
        transform: rotate(-45deg) scale(0.6, 1);
      }
    }
  }

  .mobile-menu-wrapper {
    display: flex;
    width: 100%;
    height: 100%;
    padding: 100px 30px 30px;

    ul {
      //animation: menuFadeUp 0.8s;
      //animation-delay: 0.2s;
      //visibility: visible;
    }
  }
}

@keyframes menuFadeUp {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}